<!-- Menu Top -->
<div id='prowhy-topnavbar' class='navbar navbar-expand-lg'>
    <div class="container-fluid">
        <%= home_link %>
        <button class="btn btn-dark d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <i class="fas fa-align-justify"></i>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- <ul class="nav navbar-nav ml-auto"> -->

            <ul class="nav navbar-nav ml-auto menu-zone" style='flex-direction:row;'>
                <li class="nav-item">
                    <!-- USERS -->
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle btn" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <%= User.model_name.human.pluralize %>
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <%= link_to Person.model_name.human.pluralize, people_path, class: 'dropdown-item' %>
                            <%= link_to User.model_name.human.pluralize, users_admin_index_path, class: 'dropdown-item' %>
                            <%= link_to Role.model_name.human.pluralize, roles_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to Profil.model_name.human.pluralize, profils_path, class: 'dropdown-item' %>
                            <%= link_to ProfilAuthorize.model_name.human.pluralize, profil_authorizes_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to Admin::Perimeter.model_name.human.pluralize, admin_perimeters_path, class: 'dropdown-item' %>
                            <%= link_to Admin::PerimeterUser.model_name.human, admin_perimeters_assign_users_path, class: 'dropdown-item' %>
                        </div>
                    </li>
                    <!-- CONFIG -->
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle btn" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <%= t('configuration') %>
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <%= link_to Admin::AdminConfig.model_name.human, admin_admin_configs_path(type: 'global'), class: 'dropdown-item' %>
                            <%= link_to "Mail Config", admin_admin_configs_path(type: 'mail'), class: 'dropdown-item' %>
                            <%= link_to Admin::LdapConfig.model_name.human, admin_ldap_configs_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to Admin::HelperText.model_name.human, admin_helper_texts_path, class: 'dropdown-item' %>

                            <% if AdminPolicy.new(current_user, nil).show_ahoy? %>
                                <div class="dropdown-divider"></div>
                                <%= link_to 'Visits/Events', admin_show_ahoy_path, class: 'dropdown-item' %>
                            <% end %>
                        </div>
                    </li>

                    <%#= link_to Tag.model_name.human.pluralize, tags_path, class: 'btn' %>
                    <%= link_to Meth::Methodology.model_name.human.pluralize, meth_methodologies_path, class: 'btn' %>
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle btn" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                           <%= CustomField.model_name.human.pluralize %>
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <%#= link_to 'CF Types', meth_custom_field_types_path, class: 'dropdown-item' %>
                            <%= link_to Meth::CustomFieldDesc.model_name.human, meth_custom_field_descs_path, class: 'dropdown-item' %>
                            <%= link_to Meth::ListContent.model_name.human.pluralize, meth_list_contents_path, class: 'dropdown-item' %>
                            <%= link_to Meth::TreeContent.model_name.human.pluralize, meth_tree_contents_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to Meth::ToolCustomField.model_name.human, meth_tool_custom_fields_path, class: 'dropdown-item' %>
                            <!-- <div class="dropdown-divider"></div>
                            <%#= link_to CustomField.model_name.human.pluralize, custom_fields_path, class: 'dropdown-item' %>
                            -->
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle btn" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Labels
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <%= link_to Labels::CauseType.model_name.human , labels_cause_types_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%#= link_to Labels::Criterium.model_name.human, labels_criteria_path, class: 'dropdown-item' %>
                            <%#= link_to Labels::Value.model_name.human, labels_values_path, class: 'dropdown-item' %>
                            <%#= link_to Labels::Config.model_name.human, labels_configs_path, class: 'dropdown-item' %>
                            <%= link_to t('.criteria_dec_mat'), labels_criteria_path(labels_criterium: {crit_type: 'matrix'}), class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to t('.criteria_crit'), labels_criteria_path(labels_criterium: {crit_type: 'criticity'}), class: 'dropdown-item' %>
                            <%#= link_to Labels::Value.model_name.human, labels_values_path, class: 'dropdown-item' %>
                            <%= link_to t('.configs_crit'), labels_configs_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to t('.check_list_elem'), labels_check_list_elems_path, class: 'dropdown-item' %>
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle btn" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Qqoqcps
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <%= link_to Labels::QqoqcpConfig.model_name.human , labels_qqoqcp_configs_path, class: 'dropdown-item' %>
                            <div class="dropdown-divider"></div>
                            <%= link_to Labels::QqoqcpLine.model_name.human , labels_qqoqcp_lines_path, class: 'dropdown-item' %>
                        </div>
                    </li>
                </li>
            </ul>
            <ul class="nav navbar-nav ml-auto menu-zone" style='flex-direction:row;'>
                <%= render partial: 'layouts/menu_sub_user' %>
                <%= render partial: 'layouts/menu_sub_language' %>
                <li class='nav-item'>
                    <%= link_to fa_icon('question-circle', class: 'icon-blue'), '#', class: 'btn' %>
                </li>
            </ul>
        </div>
    </div>
</div>
